package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/9/17
 */
public class EmployeeQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "部门ID",required = true)
    private String organId;

    @ApiModelProperty(value = "工作类型",required = true)
    private String jobNature;

    @ApiModelProperty(value = "角色ID",required = false)
    private Long roleId;

    @ApiModelProperty(value = "用户名或电话",required = false)
    private Long userNameOrPhone;

    /** 是否离职 */
    @ApiModelProperty(value = "是否离职",required = false)
    private Boolean demissionflag;

    public Boolean getDemissionflag() {
        return demissionflag;
    }

    public void setDemissionflag(Boolean demissionflag) {
        this.demissionflag = demissionflag;
    }

    public String getJobNature() {
        return jobNature;
    }

    public void setJobNature(String jobNature) {
        this.jobNature = jobNature;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Long getUserNameOrPhone() {
        return userNameOrPhone;
    }

    public void setUserNameOrPhone(Long userNameOrPhone) {
        this.userNameOrPhone = userNameOrPhone;
    }
}
